Description

hello

i have done some testing-logging and there is some questions.

i have a qgis(2.8.2 WIN7) project with >50 tables/views in postgresql

it opens about 2-3 minutes

i saved all queries and the slowest were

"SELECT DISTINCT upper(geometrytype("geo")),st_srid("geo") FROM ..." - tables only

"SELECT st_extent("geo") FROM ..." - view only

"SELECT count(distinct "qgisid")=count("qgisid") FROM ..." - view only

What can i do to speed up?

Creating indexes helps but

Why qgis execute this queries? Can we optimize them?

History

#1 - 2015-06-26 07:57 AM - zimirrr leonid

users gp5st and @jef, on irc channel, gave me advise to add some parameters in my qgs file

i added to all <datasource>'s new parameter estimatedmetadata=true

"<datasource>estimatedmetadata=true dbname=..."

and it became faster.

#2 - 2015-06-27 11:24 PM - Saber Razmjooei

- Category set to Data Provider/PostGIS

#3 - 2015-06-30 11:51 AM - Giovanni Manghi

- Status changed from Open to Closed

2024-03-20 1/1


